Bug 845494 - [Setup Host Networks] 3.1 - if host is added to setup via VLAN interface libvirt network is created bridgless
[Setup Host Networks] 3.1 - if host is added to setup via VLAN interface libv...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: 6.4
Assigned To: Dan Kenigsberg
network
:
Depends On:
Blocks: 835598
  Show dependency treegraph
 
Reported: 2012-08-03 04:54 EDT by Martin Pavlik
Modified: 2015-04-06 23:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 04:45:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (215.01 KB, image/png)
2012-08-03 04:54 EDT, Martin Pavlik
no flags Details
ifcfg files (496 bytes, application/x-gzip)
2012-08-03 04:54 EDT, Martin Pavlik
no flags Details
logs (9.47 KB, application/x-gzip)
2012-08-03 04:55 EDT, Martin Pavlik
no flags Details
logs2 (71.83 KB, application/x-tar)
2012-08-06 10:07 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-03 04:54:23 EDT
Created attachment 602086 [details]
screenshot 1

Description of problem:
If host is added to setup via VLAN interface it is set imediately to non-oprational. 

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-10.el6ev' 
libvirt-0.9.10-21.el6_3.3.x86_64
vdsm-4.9.6-26.0.el6_3.x86_64
qemu-img-rhev-0.12.1.2-2.298.el6_3.x86_64
initscripts-9.03.31-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Manually configure host with rhev interface over VLAN (see attached ifcfg files)
2.Add host to setup, wait host install and reboot
  
Actual results:
host is set non operational

Expected results:
host should be added properly

Additional info:

2012-08-03 10:31:31,035 INFO  [org.ovirt.engine.core.bll.VdsInstaller] (pool-4-thread-50) [362c0237] Installation of 10.34.67.90. Received message: <BSTRAP <BSTRAP component='SetNetworking' status='OK' message='Bridge management already exists. Skipping bridge creation.'/>


2012-08-03 10:38:15,340 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (QuartzScheduler_Worker-32) [399feabc] START, SetVdsStatusVDSCommand(vdsId = 92a040cc-dd45-11e1-9606-001a4a013f0e, status=NonOperational, nonOperationalReason=VM_NETWORK_IS_BRIDGELESS), log id: 5ae70bd
Comment 1 Martin Pavlik 2012-08-03 04:54:49 EDT
Created attachment 602087 [details]
ifcfg files
Comment 2 Martin Pavlik 2012-08-03 04:55:08 EDT
Created attachment 602088 [details]
logs
Comment 4 lpeer 2012-08-05 03:45:31 EDT
danken - is this issue related to BZ 840300, it seems like installation failed but the host status is non-operational instead of installation failed.
Comment 7 Dan Kenigsberg 2012-08-06 07:50:06 EDT
This seems like a nasty Vdsm bug: the network exists in libvirt db, the bridge device exists, too, but for some reason the network is reported as bridgeless. This has to be understood better.
Comment 8 Dan Kenigsberg 2012-08-06 07:54:56 EDT
(In reply to comment #7)
> This seems like a nasty Vdsm bug: the network exists in libvirt db

Or is it?

What do you have in

  virsh -r net-dumpxml vdsm-rhevm

before bootstrap? What do you have there after vdsmd is up and running?
Comment 9 Martin Pavlik 2012-08-06 08:16:39 EDT
(In reply to comment #8)
> (In reply to comment #7)
> > This seems like a nasty Vdsm bug: the network exists in libvirt db
> 
> Or is it?
> 
> What do you have in
> 
>   virsh -r net-dumpxml vdsm-rhevm
> 
> before bootstrap? What do you have there after vdsmd is up and running?

Not sure that I got what exactly do you want

1) host removed from setup

[root@dell-r210ii-06 ~]#   virsh -r net-dumpxml vdsm-rhevm
<network>
  <name>vdsm-rhevm</name>
  <uuid>a7a3f7af-6d54-d4f6-e8ee-777e53ee95a8</uuid>
  <forward dev='em1.172' mode='passthrough'>
    <interface dev='em1.172'/>
  </forward>
</network>


2)host added back to setup, installed, rebooted, gone non-operational
[root@dell-r210ii-06 ~]#   virsh -r net-dumpxml vdsm-rhevm
<network>
  <name>vdsm-rhevm</name>
  <uuid>a7a3f7af-6d54-d4f6-e8ee-777e53ee95a8</uuid>
  <forward dev='em1.172' mode='passthrough'>
    <interface dev='em1.172'/>
  </forward>
</network>
Comment 10 Dan Kenigsberg 2012-08-06 09:00:19 EDT
The question is: when was the vdsm-rhevm created, by whom, and why as bridgeless?

please undefine the the network (virsh net-destroy vdsm-rhevm; virsh net-undefine vdsm-rhevm) and reinstall the host. When Vdsm is started it is expected to created the network as bridged.

Could you attach the bootstrapping logs? Maybe they have a clue?
Comment 12 Martin Pavlik 2012-08-06 10:07:41 EDT
Created attachment 602525 [details]
logs2
Comment 14 Dan Kenigsberg 2012-08-07 04:45:09 EDT
On Tue, Aug 07, 2012 at 03:02:51AM -0400, Martin Pavlik wrote:
... 
> 
> After I did virsh net-destroy vdsm-rhevm && virsh net-undefine vdsm-rhevm and reinstalled the host host was not going non-operational any more.
> 
> Now if I remove the host and just add it back to setup (without running net-destroy vdsm-rhevm && virsh net-undefine) it works as well. 

Please reopen if you can reproduce this bug (and if it is not covered by another existing bug regarding Vdsm/libvirt db synchronization).

Note You need to log in before you can comment on or make changes to this bug.